org.jgroups

## Class SuspectEvent

- java.lang.Object
- - org.jgroups.SuspectEvent

    public class SuspectEvent
    extends java.lang.Object

Represents a suspect event. Gives access to the suspected member.

### Constructor Summary

Constructors
Constructor and Description
`SuspectEvent(java.lang.Object suspected_mbr)`

### Method Summary

Methods
`java.lang.Object` `getMember()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SuspectEvent

    public SuspectEvent(java.lang.Object suspected_mbr)

### Method Detail

#### getMember

    public java.lang.Object getMember()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`